<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/TipView/MainTabTipWindowManager.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_main_tab_tip_window_manager_8m_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">MainTabTipWindowManager.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_main_tab_tip_window_manager_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  MainTabTipWindowManager.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by wujian on 2019/7/4.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2019 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_main_tab_tip_window_manager_8h.html">MainTabTipWindowManager.h</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_main_tab_tip_view_8h.html">MainTabTipView.h</a>&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#define XHXTabBarTipKey @&quot;XHXTabBarTipKey&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="_main_tab_tip_window_manager_8m.html#a904e026b625875c78217bd816aa8ad52">   13</a></span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="category_main_tab_tip_window_manager_07_08.html">   14</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_main_tab_tip_window_manager.html">MainTabTipWindowManager</a> ()</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="category_main_tab_tip_window_manager_07_08.html#ac22963e6a6b6a2c8b2eb8cdaf4b468e2">   16</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) <a class="code" href="interface_main_tab_tip_view.html">MainTabTipView</a>  *tipView;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="category_main_tab_tip_window_manager_07_08.html#abb7d7ff9871e56f81ad73fc79ef43c5a">   18</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UITapGestureRecognizer  *tapGesture;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="category_main_tab_tip_window_manager_07_08.html#a22ee94be0ff34783ffdd88527922ec93">   20</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIWindow  *tipWindow;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="interface_main_tab_tip_window_manager.html#a63e9625915bd7a62fdba15ea2ec49441">   21</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIView  *bgView;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">@implementation </span><a class="code" href="interface_main_tab_tip_window_manager.html">MainTabTipWindowManager</a></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;- (instancetype)init</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;{</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">self</span> = [<span class="keyword">super</span> init];</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    }</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#pragma mark - publicMethod</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;+ (NSUInteger)<a class="code" href="interface_main_tab_tip_window_manager.html#a63e9625915bd7a62fdba15ea2ec49441">tabBarTipShowStep</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    NSUInteger step = [[NSUserDefaults standardUserDefaults] integerForKey:XHXTabBarTipKey];</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordflow">return</span> step;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;}</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;+ (void)saveTabBarTipShowStep:(NSUInteger)step {</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    NSInteger currentStep = [[NSUserDefaults standardUserDefaults] integerForKey:XHXTabBarTipKey];</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordflow">if</span> (step &gt; currentStep) {</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        [[NSUserDefaults standardUserDefaults] setInteger:step forKey:XHXTabBarTipKey];</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        [[NSUserDefaults standardUserDefaults] synchronize];</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    }</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment">// TODO: 判断是否已经显示完TabBarTip  目前只显示学习和我的界面，后期如果减少/增加tabBarTip的个数，这里也需要修改</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;+(BOOL)<a class="code" href="interface_main_tab_tip_window_manager.html#ab0ecabe8581c7181407ce9f5112eeb10">showedTabBarTip</a></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;{</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    NSUInteger step = [[NSUserDefaults standardUserDefaults] integerForKey:XHXTabBarTipKey];</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordflow">if</span> (step == 2) {</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordflow">return</span> YES;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    }</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordflow">return</span> NO;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;}</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;- (void)showTipViewWithTitle:(NSString *)title dotPoint:(CGPoint)point emptyReact:(CGRect)react {</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    [<span class="keyword">self</span>.tipWindow addSubview:self.bgView];</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    [<span class="keyword">self</span>.tipWindow addSubview:self.tipView];</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    [_tipView reloadContentWithTitle:title];</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    CGRect frame = _tipView.frame;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    frame.origin.y = point.y - frame.size.height - 7;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    frame.origin.x = point.x - (frame.size.width - 35);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    _tipView.frame = frame;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keyword">self</span>.tipWindow.hidden = NO;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    [<span class="keyword">self</span> markEmptyViewInBg:react];</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="comment">// 给tipView 加事件</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    [<span class="keyword">self</span>.tipView addGestureRecognizer:self.tapGesture];</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;}</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;- (void)markEmptyViewInBg:(CGRect)react {</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="comment">// 创建一个全屏大的path</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    UIBezierPath *path = [UIBezierPath bezierPathWithRect:[UIScreen mainScreen].bounds];</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="comment">// 创建一个矩形path</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    UIBezierPath *emptyPath = [[UIBezierPath bezierPathWithRect:react] bezierPathByReversingPath];</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    [path appendPath:emptyPath];</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    CAShapeLayer *shapeLayer = [CAShapeLayer layer];</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    shapeLayer.path = path.CGPath;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">self</span>.bgView.layer.mask = shapeLayer;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    [_tipWindow layoutIfNeeded];</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;}</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; </div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#pragma mark - buttonEvent</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;- (void)tipViewClicked:(<span class="keywordtype">id</span>)sender {</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordflow">if</span> (_tipView) {</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        [_tipView removeGestureRecognizer:self.tapGesture];</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        [_tipView removeFromSuperview];</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        _tipView = nil;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        <span class="keyword">self</span>.tipWindow.hidden = YES;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    }</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    NSUInteger currentStep = [<a class="code" href="interface_main_tab_tip_window_manager.html">MainTabTipWindowManager</a> <a class="code" href="interface_main_tab_tip_window_manager.html#a63e9625915bd7a62fdba15ea2ec49441">tabBarTipShowStep</a>];</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    [<a class="code" href="interface_main_tab_tip_window_manager.html">MainTabTipWindowManager</a> <a class="code" href="interface_main_tab_tip_window_manager.html#abf100d90faa85ac1b81f45120a648c08">saveTabBarTipShowStep</a>:(currentStep+1)];</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordflow">if</span> ([<span class="keyword">self</span>.<a class="code" href="interface_main_tab_tip_window_manager.html#a5c0d01f9c2444529d00d73f648a14f9d">delegate</a> respondsToSelector:<span class="keyword">@selector</span>(tipViewDismiss)]) {</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        [<span class="keyword">self</span>.delegate tipViewDismiss];</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    }</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;}</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="preprocessor">#pragma mark - getter</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;- (UIWindow *)tipWindow {</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordflow">if</span> (!_tipWindow) {</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        _tipWindow = [[UIWindow alloc] initWithFrame:[UIScreen mainScreen].bounds];</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        _tipWindow.rootViewController = [[UIViewController alloc] init];</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        _tipWindow.windowLevel = UIWindowLevelAlert;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        _tipWindow.backgroundColor = [UIColor clearColor];</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        [_tipWindow makeKeyAndVisible];</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    }</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordflow">return</span> _tipWindow;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;}</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;- (UIView *)bgView{</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordflow">if</span> (!_bgView) {</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        _bgView = [[UIView alloc] initWithFrame:[UIScreen mainScreen].bounds];</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        _bgView.backgroundColor = [UIColor colorWithWhite:0 alpha:0.75];</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    }</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keywordflow">return</span> _bgView;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;}</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;- (<a class="code" href="interface_main_tab_tip_view.html">MainTabTipView</a> *)tipView {</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keywordflow">if</span> (!_tipView) {</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        _tipView = [[<a class="code" href="interface_main_tab_tip_view.html">MainTabTipView</a> alloc] initWithFrame:CGRectMake(0, 0, 233, 40)];</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        _tipView.userInteractionEnabled = YES;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    }</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="keywordflow">return</span> _tipView;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;}</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160; </div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;- (UITapGestureRecognizer *)tapGesture {</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordflow">if</span> (!_tapGesture) {</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        _tapGesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(tipViewClicked:)];</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    }</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keywordflow">return</span> _tapGesture;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;}</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_main_tab_tip_view_8h_html"><div class="ttname"><a href="_main_tab_tip_view_8h.html">MainTabTipView.h</a></div></div>
<div class="ttc" id="a_main_tab_tip_window_manager_8h_html"><div class="ttname"><a href="_main_tab_tip_window_manager_8h.html">MainTabTipWindowManager.h</a></div></div>
<div class="ttc" id="ainterface_main_tab_tip_view_html"><div class="ttname"><a href="interface_main_tab_tip_view.html">MainTabTipView</a></div><div class="ttdef"><b>Definition:</b> <a href="_main_tab_tip_view_8h_source.html#l00012">MainTabTipView.h:13</a></div></div>
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html_ab0ecabe8581c7181407ce9f5112eeb10"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html#ab0ecabe8581c7181407ce9f5112eeb10">+[MainTabTipWindowManager showedTabBarTip]</a></div><div class="ttdeci">BOOL showedTabBarTip()</div><div class="ttdef"><b>Definition:</b> <a href="_main_tab_tip_window_manager_8m_source.html#l00021">MainTabTipWindowManager.m:51</a></div></div>
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html_a5c0d01f9c2444529d00d73f648a14f9d"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html#a5c0d01f9c2444529d00d73f648a14f9d">MainTabTipWindowManager::delegate</a></div><div class="ttdeci">id&lt; MainTabTipWindowManagerDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> <a href="_main_tab_tip_window_manager_8h_source.html#l00019">MainTabTipWindowManager.h:19</a></div></div>
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html_a63e9625915bd7a62fdba15ea2ec49441"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html#a63e9625915bd7a62fdba15ea2ec49441">+[MainTabTipWindowManager tabBarTipShowStep]</a></div><div class="ttdeci">NSUInteger tabBarTipShowStep()</div><div class="ttdoc">0需要展示两个 1只需要展示我的tab提示 2不需要展示</div><div class="ttdef"><b>Definition:</b> <a href="_main_tab_tip_window_manager_8m_source.html#l00021">MainTabTipWindowManager.m:37</a></div></div>
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html">MainTabTipWindowManager</a></div><div class="ttdef"><b>Definition:</b> <a href="_main_tab_tip_window_manager_8h_source.html#l00017">MainTabTipWindowManager.h:18</a></div></div>
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html_abf100d90faa85ac1b81f45120a648c08"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html#abf100d90faa85ac1b81f45120a648c08">+[MainTabTipWindowManager saveTabBarTipShowStep:]</a></div><div class="ttdeci">void saveTabBarTipShowStep:(NSUInteger step)</div><div class="ttdoc">保存当前的步骤</div><div class="ttdef"><b>Definition:</b> <a href="_main_tab_tip_window_manager_8m_source.html#l00021">MainTabTipWindowManager.m:42</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_2124d264ddaf1ef2cea0a26c6710da13.html">TipView</a></li><li class="navelem"><a class="el" href="_main_tab_tip_window_manager_8m.html">MainTabTipWindowManager.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
